Docs
Product Repository APICustomer Specific Assignment Rule

Get a customer specific assignment ruleBeta

Security groups:Rule Engineers
GET
/assignments/csars/{id}

Returns the customer specific assignment rule with the given ID.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The unique identifier of the Customer Specific Assignment Rule. Must be a valid UUID.

FormatUUID

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/assignments/csars/string"
{
  "id": "bf2204a1-b5b8-4a53-b56d-7f5056d88598",
  "name": "UKGT Salad Rule",
  "description": "Assigns UKGT code to products tagged as \"Salad\" or \"Tomato\" and with green veggie color",
  "code": {
    "ukgt": "UKGT-4567"
  },
  "filterId": "84f4a96f-b135-4af2-858b-17327b631047",
  "createdAt": "2025-05-27T10:00:00Z",
  "lastModifiedDate": "2025-05-27T10:00:00Z"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}